@import '_content/CC.Blazor/CC.Blazor.geyjwjddmd.bundle.scp.css';

/* /Components/Layout/BlazorError.razor.rz.scp.css */
#blazor-error-ui[b-evnnbsijy7] {
    display: none;
}
/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-dhwn3hcdcu] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-dhwn3hcdcu] {
    flex: 1;
}

.sidebar[b-dhwn3hcdcu] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-dhwn3hcdcu] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-dhwn3hcdcu]  a, .top-row[b-dhwn3hcdcu]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-dhwn3hcdcu]  a:hover, .top-row[b-dhwn3hcdcu]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-dhwn3hcdcu]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-dhwn3hcdcu] {
        justify-content: space-between;
    }

    .top-row[b-dhwn3hcdcu]  a, .top-row[b-dhwn3hcdcu]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-dhwn3hcdcu] {
        flex-direction: row;
    }

    .sidebar[b-dhwn3hcdcu] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-dhwn3hcdcu] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-dhwn3hcdcu]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-dhwn3hcdcu], article[b-dhwn3hcdcu] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-dhwn3hcdcu] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-dhwn3hcdcu] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-overlay[b-43vy6upz8o] {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 10000;
    display: none;
    overflow: hidden;
    animation: components-reconnect-fade-in;
}

    .components-reconnect-overlay.components-reconnect-visible[b-43vy6upz8o] {
        display: block;
    }

    .components-reconnect-overlay[b-43vy6upz8o]::before {
        content: '';
        background-color: rgba(0, 0, 0, 0.4);
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        animation: components-reconnect-fadeInOpacity-b-43vy6upz8o 0.5s ease-in-out;
        opacity: 1;
    }

    .components-reconnect-overlay p[b-43vy6upz8o] {
        margin: 0;
        text-align: center;
    }

    .components-reconnect-overlay button[b-43vy6upz8o] {
        border: 0;
        background-color: #6b9ed2;
        color: white;
        padding: 4px 24px;
        border-radius: 4px;
    }

        .components-reconnect-overlay button:hover[b-43vy6upz8o] {
            background-color: #3b6ea2;
        }

        .components-reconnect-overlay button:active[b-43vy6upz8o] {
            background-color: #6b9ed2;
        }

.components-reconnect-dialog[b-43vy6upz8o] {
    position: relative;
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    opacity: 0;
    animation: components-reconnect-slideUp-b-43vy6upz8o 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-fadeInOpacity-b-43vy6upz8o 0.5s ease-out 0.3s;
    animation-fill-mode: forwards;
    z-index: 10001;
}

.components-rejoining-animation[b-43vy6upz8o] {
    display: block;
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-43vy6upz8o] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-43vy6upz8o 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-43vy6upz8o] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-43vy6upz8o {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}

@keyframes components-reconnect-fadeInOpacity-b-43vy6upz8o {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-slideUp-b-43vy6upz8o {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}
/* /Components/UI/Breadcrumb/Breadcrumb.razor.rz.scp.css */
.breadcrumb[b-330h68sz7o] {
    background-color: #e9ecef;
    padding: 0.75rem 1rem;
    border-radius: 0.25rem;
}
/* /Components/UI/Breadcrumb/BreadcrumbItem.razor.rz.scp.css */
body[b-qys2sabnqg] {
}
